Name:		slrn
Summary:	A powerful, easy to use, threaded Internet news reader
Version:	1.0.3
Release:	%mkrel 10
License:	GPLv2+
Group:		Networking/News
# This URL is no longer available
URL:		http://www.slrn.org/
Source0:	https://jedsoft.org/releases/slrn/%{name}-%{version}a.tar.bz2
Source1:	slrnpull-expire
Source2:	slrnpull.log
Source3:	README.rpm-slrnpull
Requires:	slang >= 2.0.0
Requires:	inews
Recommends:	lynx
BuildRequires:  pkgconfig(slang) >= 2.0.0
BuildRequires:  sendmail-command
BuildRequires:	gettext-devel
BuildRequires:  inews
BuildRequires:  chrpath

%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'd like to save on-line time by reading your
news off-line.

%package pull
Summary:	Offline news reading support for slrn
Group:		Networking/News
Requires:	%{name} = %{version}

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.

%prep
%setup  -q

# prevent stripping (for debuginfo):
sed -i -e 's|-m 755 -s|-m 755|g' src/Makefile.in

%build
# Fix install of slrnpull man page, seems to be broken upstream
# - AdamW 2008/02
sed -i -e 's,slrn.1,*.1,g' src/Makefile.in
# Better default browser - AdamW 2008/02
sed -i -e 's,netscape,www-browser,g' doc/slrn.rc
# FHS compliant install
%configure --sysconfdir=%{_sysconfdir}/news --with-slanginc=%{_includedir}/slang \
               --with-slanglib=%{_libdir} --with-slrnpull \
               --with-slanginc=%{_includedir}/slang --with-nss-compat --enable-inews --enable-setgid-code

%make_build
# Force build of slrnpull, again seems broken upstream - AdaMw 2008/02
%make_build slrnpull

%install
%make_install
chrpath -d %{buildroot}%{_bindir}/%{name}
%find_lang %{name}

mkdir -p %{buildroot}/etc/{cron.daily,logrotate.d,news}
install doc/slrn.rc %{buildroot}/etc/news/
chmod 644 %{buildroot}/etc/news/slrn.rc

#(peroyvind) remove unpackaged files
rm -rf %{buildroot}%{_docdir}/%{name}

%files -f %{name}.lang
%doc doc/{FIRST_STEPS,README.SSL,help.txt,score.txt,slrnfuns.txt,README.macros,THANKS,manual.txt,slrn-doc.html,FAQ,README.GroupLens,README.multiuser,score.sl,slrn.rc} COPYRIGHT README changes.txt
%attr(755,root,root) %{_bindir}/slrn
%{_mandir}/man1/slrn.1*
%config(noreplace) %{_sysconfdir}/news/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files pull
%doc doc/slrnpull/*
%{_mandir}/man1/slrnpull*
%{_bindir}/slrnpull





%changelog
* Sat Nov 19 2022 kekepower <kekepower> 1.0.3-10.mga9
+ Revision: 1908783
- Remove rpath from slrn
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-8.mga8
+ Revision: 1517065
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1301068
- Mageia 7 Mass Rebuild

* Sat Apr 22 2017 neoclust <neoclust> 1.0.3-6.mga6
+ Revision: 1097100
- New version 1.0.3a - Fixes CVE-2014-3566 (mga#20661)

* Wed Feb 17 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 962848
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 daviddavid <daviddavid> 1.0.1-5.mga6
+ Revision: 894391
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 748637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 689197
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 528551
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 remmy <remmy> 1.0.1-1.mga4
+ Revision: 445938
- New upstream version

* Mon Jan 14 2013 umeabot <umeabot> 0.9.9p1-5.mga3
+ Revision: 382186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 boklm <boklm> 0.9.9p1-4.mga1
+ Revision: 60922
- imported package slrn

